/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.base.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.base.entity.App;
import com.tofly.common.core.entity.ResultRespone;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.Map;

/**
 * ${comments}
 *
 * @author fcl
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface AppService extends IService<App> {

    ResultRespone upLoadApp(MultipartFile appFile, MultipartFile txtFile,String type) throws Exception;

    Page<Map> listAppPage(Page page, Map map);

    String selectOldApp(String type);

    Object appDownlod(String type);

    ResultRespone getNewVersionInformation(String type, String userId, String nowVersion);
}
